[Hackage] #491: "cabal configure" does not install dependencies

Hackage trac at galois.com
Mon Feb 9 15:52:45 EST 2009

#491: "cabal configure" does not install dependencies
  Reporter:  SamB                |        Owner:         
      Type:  defect              |       Status:  closed 
  Priority:  normal              |    Milestone:         
 Component:  cabal-install tool  |      Version:  HEAD   
  Severity:  normal              |   Resolution:  wontfix
  Keywords:                      |   Difficulty:  unknown
Ghcversion:  6.8.2               |     Platform:         
Changes (by duncan):

  * status:  new => closed
  * resolution:  => wontfix


 Replying to [comment:2 SamB]:
 > Oh, I didn't know about {{{cabal install --only-deps}}}.

 Sorry, it wasn't clear it's just a proposal. Still it's not that hard,
 patches accepted :-).

 > Still, if I didn't want automagic, wouldn't I have just run {{{Setup}}}?

 We don't expect anyone to have to run Setup directly.

 > (I suppose I'd be equally happy if messages complaining about missing
 deps suggested using {{{--only-deps}}}, though. But is that any easier?)

 Ok. It's no easier but the question is what the right behavior should be.
 if you want a one-shot command, that's install. If you want to configure
 without building or installing then you probably also want control over
 dependencies and so installing a whole collection of deps automatically is
 probably not what one expects. Well clearly you did expect it, but my
 impression is that generally people would not.

 I've added a note to ticket #411.

Ticket URL: <http://hackage.haskell.org/trac/hackage/ticket/491#comment:3>
Hackage <http://haskell.org/cabal/>
Hackage: Cabal and related projects

More information about the cabal-devel mailing list